the repository which powers this website
t0010-validate.sh: return on cgit errors
The earlier segfault in cgit passed by unnoticed by this test-script due to the pipe between cgit and sed. There might be a more elegant solution to this problem, but my shellscript- foo is weak. Signed-off-by: Lars Hjemli <[email protected]>
Lars Hjemli 2008-02-25
parent b44b02a · commit 20cdffd
-rwxr-xr-xtests/t0010-validate-html.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/t0010-validate-html.sh b/tests/t0010-validate-html.sh
index 907a415b..94aa52b5 100755
--- a/tests/t0010-validate-html.sh
+++ b/tests/t0010-validate-html.sh
@@ -7,9 +7,12 @@ test_url()
{
tidy_opt="-eq"
test -z "$NO_TIDY_WARNINGS" || tidy_opt+=" --show-warnings no"
- cgit_url "$1" | sed -e "1,4d" >trash/tidy-$test_count
+ cgit_url "$1" >trash/tidy-$test_count || return
+ sed -ie "1,4d" trash/tidy-$test_count || return
tidy $tidy_opt trash/tidy-$test_count
rc=$?
+
+ # tidy returns with exitcode 1 on warnings, 2 on error
if test $rc = 2
then
false